> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Unit by Lead UUID and Verify Code

> Returns the unit details for a lead once they have been signed their lease and been converted to a tenant. Requires verification token for authentication.



## OpenAPI

````yaml /openapi/shopping-openapi.json get /shopping/{portfolio}/v1/units/{leadUuid}/{verifyCode}
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
paths:
  /shopping/{portfolio}/v1/units/{leadUuid}/{verifyCode}:
    get:
      tags:
        - Units
      summary: Get Unit by Lead UUID and Verify Code
      description: >-
        Returns the unit details for a lead once they have been signed their
        lease and been converted to a tenant. Requires verification token for
        authentication.
      operationId: PublicApiUnitsController_getUnitByLeadUuid
      parameters:
        - name: leadUuid
          required: true
          in: path
          schema:
            type: string
        - name: verifyCode
          required: true
          in: path
          schema:
            type: string
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
        - in: path
          required: true
          name: portfolio
          schema:
            example: abc_selfstorage
      responses:
        '200':
          description: >-
            The details of a leads unit once they have been signed their lease
            and been converted to a tenant
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUnitDetailDto'
components:
  schemas:
    GetUnitDetailDto:
      type: object
      properties:
        id:
          type: string
        unitType:
          type: string
          nullable: true
        entityAttributeOrganizationUuid:
          type: string
        occupancyStatus:
          type: string
          enum:
            - VACANT
            - RESERVED
            - OCCUPIED
            - UNRENTABLE
            - OWNER OCCUPIED
            - PENDING_SIGNATURE
            - PENDING_MOVE_IN
        unrentableReason:
          type: string
          nullable: true
        facilityUuid:
          type: string
        brandOrganizationUuid:
          type: string
          format: uuid
        lastModified:
          format: date-time
          type: string
        tenantType:
          type: string
        reservationTenantType:
          type: string
        reservationTenantName:
          type: string
        reservationTenantId:
          type: string
        amenities:
          type: array
          items:
            $ref: '#/components/schemas/UnitAmenity'
        unitGroupUuid:
          type: string
          nullable: true
        unitGroupName:
          type: string
        unitGroupUnitType:
          type: string
        unitGroupDimensions:
          type: string
        sizeAndTypeUnitGroupUuid:
          type: string
          nullable: true
        tierName:
          type: string
          nullable: true
        unitCurrentRate:
          type: number
        delinquencyStage:
          type: string
          nullable: true
          enum:
            - OVERDUE
            - OVERLOCK
            - LIEN
            - AUCTION
            - PAID
            - PAUSED
            - WRITTEN_OFF
            - FORECLOSURE
        moveOutRequest:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/MoveOutRequestDto'
        isHiddenInRentalFlow:
          type: boolean
        floorDescription:
          type: string
          nullable: true
        nextRateChangeDate:
          type: string
          nullable: true
          format: date
        currentWebRate:
          type: number
        facilityFloorUuid:
          type: string
          nullable: true
        tenantEmail:
          type: string
        tenantPhone:
          type: string
        tenantBusinessName:
          type: string
        tenantActiveMilitaryStatus:
          type: boolean
        reservationTenantEmail:
          type: string
        reservationTenantPhone:
          type: string
        reservationTenantBusinessName:
          type: string
        billingInfo:
          default:
            outstandingBalance:
              taxes: '0.00'
              total: '0.00'
            nextPaymentDue:
              taxes: '0.00'
              total: '0.00'
          allOf:
            - $ref: '#/components/schemas/UnitBillingInfo'
        leaseInfo:
          $ref: '#/components/schemas/UnitLeaseInfoDto'
        gateCode:
          type: string
        lockCode:
          type: string
        lockVendor:
          type: string
          nullable: true
          description: Smart Lock provider for the unit
          enum:
            - NOKE
        paymentStatus:
          type: string
        paymentProfile:
          $ref: '#/components/schemas/PaymentProfileDto'
        timeUnitOccupied:
          type: string
        leaseEffectiveDate:
          type: string
        unitRentalRecordStatus:
          $ref: '#/components/schemas/UnitRentalRecordStatus'
          nullable: true
        canceledMoveInDate:
          type: string
          nullable: true
        moveInDate:
          type: string
          nullable: true
          format: date
        moveOutDate:
          type: string
          nullable: true
          format: date
        organizationUuid:
          type: string
          format: uuid
        unitRentalRecordUuid:
          type: string
          format: uuid
        unitRentalRecordActive:
          type: boolean
        lastUnitRateWhenRentalRecordWasActive:
          type: number
          nullable: true
        coverage:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GetUnitCoverageDto'
        moveOutPhotoFiles:
          nullable: true
          type: array
          items:
            type: string
        promotions:
          type: array
          items:
            $ref: '#/components/schemas/ActivePromotionDto'
        overlockDate:
          format: date-time
          type: string
          nullable: true
        auctionDate:
          format: date-time
          type: string
          nullable: true
        isTaxExempt:
          type: boolean
        taxExemptEffectiveDate:
          format: date-time
          type: string
          nullable: true
        exemptFromAutoEnrollment:
          type: boolean
        excludeFromEcri:
          type: boolean
        vehicle:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnitVehicleDto'
        currentRateChangeDate:
          format: date-time
          type: string
        previousRate:
          type: number
        previousRateChangeDate:
          format: date-time
          type: string
        nextRate:
          type: number
        streetRate:
          type: number
        pricingRule:
          type: string
        unitGroupDescription:
          type: string
        doorType:
          type: string
        doorWidth:
          type: number
        doorHeight:
          type: number
        unitDetailedDimensions:
          $ref: '#/components/schemas/GetUnitDetailedDimensions'
        contentsDescription:
          type: string
        facilitySegmentUuid:
          type: string
        location:
          type: string
        unitNumber:
          type: string
        unitDimensions:
          type: string
        unitArea:
          type: string
        facility:
          type: string
        tenant:
          type: string
        tenantId:
          type: string
        rate:
          type: number
      required:
        - id
        - unitType
        - entityAttributeOrganizationUuid
        - occupancyStatus
        - facilityUuid
        - lastModified
        - amenities
        - unitGroupUuid
        - unitGroupName
        - unitGroupUnitType
        - unitGroupDimensions
        - unitCurrentRate
        - delinquencyStage
        - currentWebRate
        - leaseInfo
        - organizationUuid
        - unitRentalRecordUuid
        - unitRentalRecordActive
        - coverage
        - isTaxExempt
        - exemptFromAutoEnrollment
        - excludeFromEcri
        - streetRate
        - pricingRule
        - facilitySegmentUuid
        - location
        - unitNumber
        - unitDimensions
        - unitArea
        - facility
        - rate
    UnitAmenity:
      type: object
      properties:
        entityAttributeId:
          type: string
        unitId:
          type: string
        description:
          type: string
        active:
          type: boolean
      required:
        - entityAttributeId
        - unitId
        - description
        - active
    MoveOutRequestDto:
      type: object
      properties:
        moveOutRequestUuid:
          type: string
          format: uuid
        moveOutReasonUuid:
          type: string
          format: uuid
        moveOutReasonDescription:
          type: string
        requestedMoveOutDate:
          type: string
          format: date
      required:
        - moveOutRequestUuid
        - moveOutReasonUuid
        - requestedMoveOutDate
    UnitBillingInfo:
      type: object
      properties:
        outstandingBalance:
          type: object
          default: {}
        outstandingBalanceTotal:
          type: string
        nextPaymentDue:
          type: object
          default: {}
        outstandingBalanceDueDate:
          type: string
        paidThroughDate:
          format: date-time
          type: string
        lastPaymentDate:
          type: string
        invoiceStatus:
          type: string
        leaseDateCreated:
          type: string
        leaseDocumentUrl:
          type: string
        leaseDocumentUuid:
          type: string
        overdueBalance:
          type: string
        isRetrievingLease:
          type: boolean
      required:
        - outstandingBalance
        - nextPaymentDue
    UnitLeaseInfoDto:
      type: object
      properties:
        leaseDocumentUrl:
          type: string
          nullable: true
        leaseDocumentUuid:
          type: string
          nullable: true
        leaseStatus:
          $ref: '#/components/schemas/UnitRentalRecordDocumentStatusEnum'
        lastSentOn:
          format: date-time
          type: string
          nullable: true
      required:
        - leaseDocumentUrl
        - leaseDocumentUuid
        - leaseStatus
        - lastSentOn
    PaymentProfileDto:
      type: object
      properties:
        autoPayEnabled:
          type: boolean
        lastFour:
          type: string
          nullable: true
        expDate:
          type: string
        paymentType:
          type: string
          nullable: true
        paymentSource:
          type: string
          nullable: true
        autoPayOffset:
          type: number
    UnitRentalRecordStatus:
      type: string
      enum:
        - WAIT_LIST
        - AGREEMENT_SENT
        - PENDING_MOVE_IN
        - MOVED_IN
        - PENDING_MOVE_OUT
        - MOVED_OUT
        - CANCELED_RESERVATION
        - CANCELED_MOVE_IN
    GetUnitCoverageDto:
      type: object
      properties:
        coverageUuid:
          type: string
          nullable: true
        premiumInPennies:
          type: number
          nullable: true
        coverageAmountInPennies:
          type: number
          nullable: true
        description:
          type: string
          nullable: true
      required:
        - coverageUuid
        - premiumInPennies
        - coverageAmountInPennies
        - description
    ActivePromotionDto:
      type: object
      properties:
        promotionUuid:
          type: string
          format: uuid
        promotionName:
          type: string
        discountAmount:
          type: number
        discountType:
          type: string
        durationMonths:
          type: number
          nullable: true
        startPromotionDate:
          type: string
          format: date
        endPromotionDate:
          type: string
          nullable: true
          format: date
        discountAmountType:
          $ref: '#/components/schemas/DiscountAmountType'
        discountedServiceItemTypeUuid:
          type: string
          nullable: true
          format: uuid
          description: >-
            Set when discountAmountType is DISCOUNTED_SERVICE — the itemType
            this service-scoped promotion applies to.
        discountedServiceItemTypeName:
          type: string
          nullable: true
          description: >-
            Display name of the service item type targeted by a
            DISCOUNTED_SERVICE promotion.
      required:
        - promotionUuid
        - promotionName
        - discountAmount
        - discountType
        - startPromotionDate
        - discountAmountType
    UnitVehicleDto:
      type: object
      properties:
        vehicleUuid:
          type: string
          format: uuid
        vehicleType:
          type: string
          nullable: true
        vehicleMake:
          type: string
          nullable: true
        vehicleModel:
          type: string
          nullable: true
        vehicleYear:
          type: string
          nullable: true
        vehicleColor:
          type: string
          nullable: true
        vinNumber:
          type: string
          nullable: true
        licensePlate:
          type: string
          nullable: true
        licensePlateState:
          type: string
          nullable: true
        haveVehicleLien:
          type: boolean
          nullable: true
        vehicleLien:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnitVehicleLienDto'
      required:
        - vehicleUuid
    GetUnitDetailedDimensions:
      type: object
      properties:
        depth:
          type: number
        width:
          type: number
        height:
          type: number
        measurementUnit:
          type: string
    UnitRentalRecordDocumentStatusEnum:
      type: number
      enum:
        - 0
        - 1
        - 2
        - 3
    DiscountAmountType:
      type: string
      enum:
        - OFF_RENT
        - FIXED_RENT
        - DETERMINED_WHEN_APPLIED
        - DISCOUNTED_SERVICE
    UnitVehicleLienDto:
      type: object
      properties:
        vehicleLienUuid:
          type: string
          format: uuid
        holderName:
          type: string
        holderAddress:
          type: string
      required:
        - vehicleLienUuid
        - holderName
        - holderAddress

````